import { type SafeHtml } from '@angular/platform-browser';
type SlotResolver = () => Promise<string> | string;
export declare class StreamSlotComponent {
    private readonly cdr;
    private readonly sanitizer;
    private readonly zone;
    private readonly slotConsumer;
    className?: string;
    errorHtml?: string;
    fallbackHtml: string;
    id: string;
    resolve: SlotResolver;
    timeoutMs?: number;
    readonly currentHtml: import("@angular/core").WritableSignal<string | SafeHtml>;
    ngOnInit(): void;
    ngOnDestroy(): void;
}
export {};
